TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.DetailedDestStat Class Reference

This class represents detailed destination statistics about another object (Topic, Queue etc). More...

## Public Member Functions
override string | ToString ()
| Returns a String that represents the current Object More...

## Properties
DestinationType | DestinationType`[get]`
| Returns the type of the destination. More...
string | DestinationName`[get]`
| Returns the name of the destination. More...
StatData | StatData`[get]`
| Returns statistics if this is unidirectional destination statistics. More...
StatData | InboundStatData`[get]`
| Returns inbound statistics for this bidirectional destination. More...
StatData | OutboundStatData`[get]`
| Returns outbound statistics for this bidirectional destination. More...

## Detailed Description

This class represents detailed destination statistics about another object (Topic, Queue etc).

Detailed statistics are optionally collected by the server for wildcarded consumers, unidentified producers and routes.

## Member Function Documentation

override string TIBCO.EMS.ADMIN.DetailedDestStat.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

## Property Documentation

string TIBCO.EMS.ADMIN.DetailedDestStat.DestinationName
| get

Returns the name of the destination.

Returns
  destination name.

DestinationType TIBCO.EMS.ADMIN.DetailedDestStat.DestinationType
| get

Returns the type of the destination.

Returns
  destination type.

StatData TIBCO.EMS.ADMIN.DetailedDestStat.InboundStatData
| get

Returns inbound statistics for this bidirectional destination.

Bidirectional destinations are those collected for routes.

Returns
  the inbound statistics data.

StatData TIBCO.EMS.ADMIN.DetailedDestStat.OutboundStatData
| get

Returns outbound statistics for this bidirectional destination.

Bidirectional destinations are those collected for routes.

Returns
  the outbound statistics data.

StatData TIBCO.EMS.ADMIN.DetailedDestStat.StatData
| get

Returns statistics if this is unidirectional destination statistics.

Unidirectional destinations are those collected for producers and consumers.

Returns
  the statistics data.